List sealed secrets (names and hints, never values)
const url = 'https://example.com/v1/console/secrets?scope=tenant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/v1/console/secrets?scope=tenant' \ --header 'Authorization: Bearer <token>'Lists secret names and non-secret hints, never values. Omitted scope requires global superadmin; explicit scope=tenant admits any unconfined member of the tenant and returns the tenant’s mcp/, env/ and credential/ names to its admins only, and to every member only their own vault/
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “ Query Parameters ”Omit for superadmin global secrets; tenant selects the tenant’s own names: mcp/, env/ and credential/ for tenant admins, and every member’s personal vault/
Header Parameters
Section titled “ Header Parameters ”Target tenant in explicit tenant mode.
Responses
Section titled “ Responses ”OK
object
object
Example generated
{ "sealer_available": true, "secrets": [ { "created_at": "2026-04-15T12:00:00Z", "description": "example", "hint": "example", "name": "example", "updated_at": "2026-04-15T12:00:00Z" } ]}Bad request
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Unauthenticated
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Forbidden
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Not found
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Conflict / setup required
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}Rate limited
object
object
With code module_not_enabled: the namespace of the module this node does not run.
Example generated
{ "error": { "code": "example", "message": "example", "module": "example" }}